고객 목록 조회
curl --request GET \
--url https://api.steppay.kr/api/v1/customers \
--header 'Secret-Token: <api-key>'import requests
url = "https://api.steppay.kr/api/v1/customers"
headers = {"Secret-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Secret-Token': '<api-key>'}};
fetch('https://api.steppay.kr/api/v1/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"content": [
{
"id": 1,
"code": "customer_AbCdEfGhI",
"status": "NORMAL",
"username": "test1@gmail.com",
"name": "테스트 고객",
"email": "test1@gmail.com",
"phone": "01012345678",
"orderCount": 0,
"activeSubscriptionCount": 0,
"paymentMethods": [],
"marketingSms": false,
"marketingEmail": false,
"marketingKakao": false,
"createdAt": "9999-01-01T00:00:00",
"dormantAt": null,
"customFields": {},
"countryCode": "KR"
},
{
"id": 1,
"code": "customer_AbCdEfGhI",
"status": "NORMAL",
"username": "test2@gmail.com",
"name": "테스트 고객2",
"email": "test2@gmail.com",
"phone": "01011231123",
"orderCount": 1,
"activeSubscriptionCount": 0,
"paymentMethods": [
{
"id": 1,
"paymentInfo": "XX카드 111111**********"
}
],
"marketingSms": false,
"marketingEmail": false,
"marketingKakao": false,
"createdAt": "9999-01-01T00:00:00",
"dormantAt": null,
"customFields": {},
"countryCode": "UNKNOWN"
}
],
"pageable": {
"page": 0,
"size": 20,
"sortDir": "DESC",
"sort": "createdAt",
"pageSize": 20,
"pageNumber": 0,
"offset": 0,
"paged": true,
"unpaged": false
},
"last": true,
"totalElements": 2,
"totalPages": 1,
"sort": {
"unsorted": false,
"sorted": true,
"empty": false
},
"number": 0,
"first": true,
"numberOfElements": 20,
"size": 20,
"empty": false
}{
"errorCode": "<string>",
"traceId": "<string>",
"errorMessage": "<string>",
"details": {}
}{
"errorCode": "<string>",
"traceId": "<string>",
"errorMessage": "<string>",
"details": {}
}고객 API
고객 목록 조회
고객 목록을 반환합니다. Pagination 형태로 지원됩니다.
GET
/
api
/
v1
/
customers
고객 목록 조회
Authorizations
Query Parameters
조회 시작 시점
조회 끝 시점
페이지 번호(기본값: 0)
페이지 크기(기본값: 20)
정렬 방향(오름차순: ASC, 내림차순: DESC(기본값))
정렬 기준값 - 기본값: 생성 시점
검색 키워드 - 이름과 이메일에서 검색됩니다.
Response
정상적으로 조회됨
고객 목록
Show child attributes
Show child attributes
목록이 비어있는지 여부
첫 번째 페이지인지 여부
마지막 페이지인지 여부
페이지 번호
페이지 내 고객 목록 개수
Pagination 정보
Show child attributes
Show child attributes
페이지 크기
정렬 정보
Show child attributes
Show child attributes
전체 고객 개수
전체 페이지수
⌘I